Core - Bug # 48939

Status: Resolved Priority: Should have
Author: Fabrice Morin Category: Backend User Interface
Created: 2013-06-07 Assigned To: Nicole Cordes
Updated: 2014-07-08 Due date:

TYPO3 Version: 4.7

PHP Version: 53

Complexity:

Is Regression: Yes

Sprint Focus:

Subject: Moving a content down moves it in another column

Description

It seems there is a problem with sorting behavior on content element in page view.
It can be reproduced with the following steps :
- Create a new page
- Add a new content in the normal column (text content with header set to "test1")
- Add a new content in the right column (text content with header set to "test2")
- Move test1 content up; this shouldn't be possible and it has no effect except displaying the down arrow on this content
- Move test1 content down; here again, it should not be possible. It moves this content from the normal column to the right column.

| guess this have something to do with the getResult function in class.tx_cms_layout.php (line 2061). The prev and next ids are set
without taking in account the column position of the content element.

| use typo3 v4.7.12.

Related issues:

related to Core - Bug # 44470: Content elements in wrong column in page module Resolved 2013-01-13
related to Core - Bug # 49055: colPos gets messed up when moving content elem... Resolved 2013-06-12
related to Core - Bug # 60199: Page module: tt_content records are not editable Resolved 2014-07-09
duplicated by Core - Bug # 49115: Error in core TYPOS 4.7 concerning reorder ... Closed 2013-06-14

Associated revisions

Revision b576e64e - 2014-07-08 10:33 - Nicole Cordes

[BUGFIX] Movements pollute colPos value of content elements

Due to commit 1148ca1b023226f2f99417b3baf238b72346e721f the information
concerning previous and next content elements in one row is messed up.
This patch helps to build information which depends on colPos again and

prevents records being moved to another column.

Resolves: #48939

Resolves: #49055

Releases: 6.2, 6.1, 6.0,4.7,4.5

Change-Id: I3a15321ee11a1f7d96b58b8b7a5ab14098664b22
Reviewed-on: https://review.typo3.org/25001

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
Revision 1746410a - 2014-07-08 11:15 - Nicole Cordes

[BUGFIX] Movements pollute colPos value of content elements

Due to commit 1148ca1b023226f2f99417b3baf238b72346e721f the information
concerning previous and next content elements in one row is messed up.
This patch helps to build information which depends on colPos again and

prevents records being moved to another column.

Resolves: #48939

Resolves: #49055

Releases: 6.2, 6.1, 6.0,4.7,4.5

Change-Id: I3a15321ee11a1f7d96b58b8b7a5ab14098664b22
Reviewed-on: https://review.typo3.0rg/31492

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision b1c86f2a - 2014-07-08 11:16 - Nicole Cordes

[BUGFIX] Movements pollute colPos value of content elements

Due to commit 1148ca1b023226f2f99417b3baf238b72346e721f the information
concerning previous and next content elements in one row is messed up.
This patch helps to build information which depends on colPos again and

prevents records being moved to another column.

Resolves: #48939

Resolves: #49055

Releases: 6.2, 6.1, 6.0,4.7,4.5

Change-Id: I3a15321ee11a1f7d96b58b8b7a5ab14098664b22
Reviewed-on: https://review.typo3.0rg/31493

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision c4095136 - 2014-07-08 11:16 - Nicole Cordes

[BUGFIX] Movements pollute colPos value of content elements

Due to commit 1148ca1b023226f2f99417b3baf238b72346e721f the information
concerning previous and next content elements in one row is messed up.
This patch helps to build information which depends on colPos again and

prevents records being moved to another column.

Resolves: #48939

Resolves: #49055

Releases: 6.2, 6.1, 6.0,4.7,4.5

Change-Id: I3a15321ee11a1f7d96b58b8b7a5ab14098664b22
Reviewed-on: https://review.typo3.0rg/31495

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
Revision ebdd15ea - 2014-07-08 11:19 - Nicole Cordes

[BUGFIX] Movements pollute colPos value of content elements

Due to commit 1148ca1b023226f2f99417b3baf238b72346e721f the information
concerning previous and next content elements in one row is messed up.
This patch helps to build information which depends on colPos again and

prevents records being moved to another column.

Resolves: #48939

Resolves: #49055

Releases: 6.2, 6.1, 6.0,4.7,4.5

Change-Id: I3a15321ee11a1f7d96b58b8b7a5ab14098664b22
Reviewed-on: https://review.typo3.org/31494

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision f9d05d26 - 2014-07-08 11:34 - Nicole Cordes

[BUGFIX] Movements pollute colPos value of content elements

Due to commit 1148ca1b023226f2f99417b3baf238b72346e721f the information
concerning previous and next content elements in one row is messed up.
This patch helps to build information which depends on colPos again and

prevents records being moved to another column.

Resolves: #48939

Resolves: #49055

Releases: 6.2, 6.1, 6.0,4.7,4.5

Change-Id: I3a15321ee11a1f7d96b58b8b7a5ab14098664b22
Reviewed-on: https://review.typo3.0rg/31493

Reviewed-by: Oliver Hader

Tested-by: Oliver Hader

(cherry picked from commit b1c86f2aaf5aae73bcf194973dcf6c4eab61a9b8)
Reviewed-on: https://review.typo3.org/31497

Reviewed-by: Helmut Hummel

Tested-by: Helmut Hummel

History

#1 - 2013-06-10 08:11 - Timo Bartholomes

| have the same behavior in 4.5.27, but thought it might be related to the backend layout.

#2 - 2013-07-24 10:06 - Sander Leeuwesteijn

Having the same in 4.5.27!

#3 - 2013-09-25 17:47 - Thorsten Kahler
- Category set to Backend User Interface
- Status changed from New to Accepted

- Is Regression set to Yes

This bug is caused by the faulty fix for #44470.

#4 - 2013-10-23 14:19 - Daniel Wagner

This also happens in TYPO3 v4.5.30, v4.5.29 and v4.5.27 (v4.5.28 not tested) - all without workspaces, but using backendlayout.

Some content elements in the first row in different columns have a move up button and some not.

After clicking the up or down button, the content element mostly will appear in a wrong colPos.

#5 - 2013-10-24 11:58 - Nicole Cordes
- Assigned To set to Nicole Cordes

- Target version set to next-patchlevel
#6 - 2013-10-25 10:22 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/25001

#7 - 2013-10-25 10:45 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/25001

#8 - 2013-10-25 11:46 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/25001

#9 - 2013-12-04 08:07 - Siva Prasad
- File class.tx_cms_layout.php.diff added

Please check the attached diff file. For me the issue is fixed with these changes . If you guys have some better idea than this one please suggest

#10 - 2014-01-08 09:48 - Sander Leeuwesteijn

It appears this issue also happens in 4.5.32!

#11 - 2014-02-17 11:28 - Sander Leeuwesteijn
Can anyone tell me if this issue will be fixed in 4.5.33?

#12 - 2014-02-17 17:14 - Nicole Cordes

As you can see, this patch is blocked by now. This means it cannot be merged until there is a decision which way to go (see attached review

comments).

#13 - 2014-04-30 16:23 - Daniel Wagner

What is the actual state? Do the different opinions converge to a decision? The last entry is from Feb 26.

#14 - 2014-07-08 09:54 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25001

#15 - 2014-07-08 10:37 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/31492

#16 - 2014-07-08 10:45 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/31493

#17 - 2014-07-08 11:09 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/31494

#18 - 2014-07-08 11:13 - Gerrit Code Review

Patch set 2 for branch TYPO3_4-5 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/31494

#19 - 2014-07-08 11:14 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-7 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/31495

#20 - 2014-07-08 11:30 - Nicole Cordes
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:ebdd15ea62115329eb324ac29e5400e5806c01bf.

#21 - 2014-07-08 11:33 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-0 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/31497

#22 - 2014-07-08 12:30 - Nicole Cordes
- Status changed from Under Review to Resolved

Applied in changeset commit:f9d05d26a3314f2354442ab3d8d0fa3da2b874c8.

Files

class.tx_cms_layout.php.diff 2.5kB 2013-12-04 Siva Prasad
